<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class singleWebGalleryTheme {
	
	/*
	 * Check the pre-requirements
	 * @return string or boolean
	 */
	function preRequirements() {
		$message = '';
		
		$mode = call_user_func(array('plgContentCdWebGallery', 'options'), 'mode');
		if ($mode == 'gallery') {
			$message = JText::_('CDWEBGALLERY_SINLE_ONE_IMAGE');
		}
		
		$title = call_user_func(array('plgContentCdWebGallery', 'options'), 'title');
		
		if ($title) {
			$message = JText::sprintf('CDWEBGALLERY_SINLE_NO_TITLE', $title);
		}
		
		return $message;
	}
	
	/*
	 * Return tag wrapped by necessary style
	 * @return string
	 */
	function template($tags = array()) {
		$theme = '';
		
		foreach ($tags as $tag) {		
				$theme .= str_replace('><', ' class="webgallery_single">' . $tag->img_original . '<', $tag->a);
		}
		unset($tags);
		return $theme;
	}
}

?>
