<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */
 
if (isset($_GET['compress'])) {
	$compress = (string)$_GET['compress'];
	switch ($compress) {
		case '0':
			break;
		case '1':
			if (extension_loaded('zlib') && !ini_get('zlib.output_compression')) {
				@ob_start('ob_gzhandler');
			}
			break;
		default:
			die();
			break;
	}
} else {
	die();
}

define('DS', DIRECTORY_SEPARATOR);
$dir = dirname(__FILE__);

$files = array();
$files []= 'application';
$files []= 'AJS';
$files []= 'AJS_fx';
$files []= 'gb_scripts';

header ("content-type: text/javascript; charset: UTF-8");
header('Cache-Control: must-revalidate');
header('Expires: ' . gmdate('D, d M Y H:i:s', time() + 86400) . ' GMT');

foreach ($files as $file) {
	$filepath = $dir . DS . $file . '.js';
	
	if (file_exists($filepath)) {
		
		include($filepath);
		echo("\n");
		
	} else {
		die();
	}
}


?>