<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class captionWebGalleryTheme {
	
	/*
	 * Return tag wrapped by necessary style
	 * @return string
	 */
	function template($tags = array()) {
		
		$title = call_user_func(array('plgContentCdWebGallery', 'options'), 'title');
		
		$theme = '';
		$theme .= '<div class="webgallery_caption">';
		if ($title) {
			$theme .= '<h3 class="title">' . $title . '</h3>';
		}
		$theme .= '<ul>';
		$theme .= "\n";
		foreach ($tags as $tag) {
			$theme .= '<li>';			
				$theme .= str_replace('><', '><span>' . $tag->title . '</span>' . $tag->img . '<', $tag->a);
			$theme .= '</li>';
			$theme .= "\n";
		}
		$theme .= '</ul>';
		$theme .= '<hr class="webgallery_clr" />'; // cleaner
		$theme .= '</div>';
		unset($tags);
		
		return $theme;
	}
}

?>
